Technorati Rank WordPress Plugin Versione 2 Rilasciata!

Caldu nantu à i tacchi di u primu plugin Technorati Rank, aghju riprogettatu u cuntenutu di uscita per falla CSS guidatu (quì sottu hè una screenshot, pudete interagisce cù quella in a barra laterale di u mo situ):

Technorati Rank WordPress Plugin Versione 2

Questu era abbastanza più sfida da pruduce, ma u risultatu hè assai più bellu. Prima, aghju utilizatu ciò chì aghju amparatu Bittbox per fà ognunu di i buttoni di uscita nantu à l'immagine in Illustrator.

U passu prossimu era aduprà stili per custruisce in realtà qualcunu di un mappa imagine eccettu chì ci hè in realtà nisuna carta! Hè bellu bellu, in realtà. Pudete stabilisce u fondo generale di div è poi creà ognunu di i 'punti d'accessu' aduprendu un posizionamentu assolutu è CSS. Vede u CSS di output.

Aghju aghjustatu ancu un ligame per u novu di Technorati Puglia pagina è l'indirizzu RSS di u situ. Spergu chì ti piaci! Pensu chì hè un vastu miglioramentu da a prima versione! Ci hè un i ligame in fondu à dritta chì prumove dinò u plugin.

Current Technorati Rank WordPress Plugin Versione 2.0.4

23 Comments

  1. 1
  2. 3

    Aghju pruvatu à installà u più novu è u più grande seguitendu e vostre indicazioni per a "lettera" 🙂

    ma aghju avutu u seguente errore

    Errore fatale: Ùn pò micca istancià a classe inesistente: simplexmlelement in /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php in linea 64

    qualchì suggerimentu?

    • 4
      • 5

        chì mi insegnerà à verificà prima .. apparentemente Lunarpages esegue 4.4.4 di PHP

        Induvinaghju chì duveraghju verificà l'altra versione o impiccà dura è vede s'elli aghjurnanu à 5.0

        • 6

          Spergu ch'elli sianu! Ma spergu ancu u vostru aghjurnamentu aghjurnamenti. PHP5 porta veramente qualchì miglioramentu di e prestazioni assai megliu, è ancu alcuni strumenti megliu per cunsumà API. Aghju utilizatu Jumpline, vedrete un ligame in a mo lista di sponsor in a mo pagina iniziale. Credu ancu chì Dotster abbia qualchì bonu VDS hosting cù l'ultime e più grandi.

      • 7

        Doug,
        Aghju u listessu prublema
        Aghju chjamatu u mo òspite è anu dettu chì u mo servitore hà PHP 4 è PHP 5, ma se vogliu lancià un schedariu aduprendu PHP 5, u script deve avè una estensione di file .php5.

        Cusì ... Aghju cambiatu l'estensione di fugliale, è sparisce da i plugins in wordpress.

        Ogni idea?

  3. 10

    Awesome Plugin, Stile Eccellente! Grazie Doug, è bellu travagliu. Ùn aghju mancu sapiutu di u primu, ma questu passa in a mo barra laterale prestu.

    Hè VERAMENTE Rincumpensante di vede chì i mo cunsiglii Illustrator ti anu aiutatu à fà i vostri buttoni !!!!!

    grazie dinò,

    ~ BittBox

    • 11

      Grazie, BittBox! Pensu chì aghju avutu un bonu ochju per u stilu, ma ùn pare mai avè capitu bè a maiò parte di u tempu. Esse capace di scaricà in realtà i vostri campioni è dissecà li hè ciò chì face a differenza. Sò capace di eseguisce in realtà nantu à queste idee ora. 🙂

      Sto ghjucendu cun qualchì penseru nantu à l'intestazione è u background di u mo blog.

  4. 12

    Beh, Doug, pare chì u plugin versione 2 mi odia. Ricevu missaghji d'errore:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Malgradu i missaghji di errore, mostra ancu u mo rangu Technorati (~ 26.5k: D). Ùn sò micca abbastanza infurmatu nantu à PHP per sapè perchè piange annantu à quellu file.
    Curiosamente, nantu à u nostru servitore, adupremu SuPHP, allora tuttu funziona cum'è noi (cusì chmod requisiti ùn necessitanu più di fugliali scrivibili in u mondu, è i script php ùn eseguiranu micca se chmod'ed troppu altu, per esempiu).

    Tuttu u php per stu sottodominiu corre cum'è php5.

    Qualchì idea?

    • 13

      Avete un wp-content / cache directory Xial? Pensu chì seria una bona idea di utilizà u listinu cache cum'è WP-Cache. In retrospettiva, forse ùn era micca una bona idea! Questa linea hè sicuramente da scrive in u fugliale cache.

      • 14

        Certu, Doug. Aghju gestitu WP-Cache per un bellu pezzu. 🙂

        Eru ancu un pocu curiosu, per quessa chì si lagnassi di questu, postu chì aghju u repertoriu necessariu, ma suppone chì sia qualcosa d'altru.

      • 15

        Bit interessante di informazioni da aghjunghje:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Ritorna sempre l'errori.

    • 16

      Solu vogliu chime in avè u listessu errore. U situ corre php5, è u buttone mostra.
      Aghju pruvatu à cummentà e linee 121-123, è u plug funziona bè. Puderaghju mette in diretta, o a mancanza di quelle linee causerà guai à longu andà?

  5. 17

    Ricevo i stessi errori cum'è sopra, aghju ancu pensatu chì era u mo cache dir ma ne aghju unu è aghju assicuratu ancu chì i diritti di scrittura eranu curretti.
    In a barra laterale mostrarà u plugin (cun ​​rangu) ma cun quelli errori sopra.

    • 18

      Salutu Richard,

      Pudete verificà per vede chì avete PHP versione 5+ è CURL hè attivatu? Pudete fà questu custruendu una pagina in u vostru situ cù <?php phpinfo(); ?> in una pagina. Dopu aprite quella pagina. A cima di a pagina averà a vostra versione di PHP è pudete fà una ricerca per CURL per assicurà chì sia attivata.

      Grazie!
      Steven

      • 19

        Beh, Doug, aghju verificatu doppiu a mo versione PHP.
        Sò in esecuzione PHP5, è cURL hè compilatu in (una di e mo solite trè richieste à u mo host, per e cose da compilà in PHP).

        Tuttu u restu funziona bè, ma ùn sò micca sicuramente sicuru perchè stu plugin si soffoca, à menu chì sia a versione di cURL compilata in PHP (Simu in 7.15.4, è l'ultimu sembra 7.16.1). Tuttavia, ùn vogliu micca molestà u mo host per compilà php5 di novu solu per quessa, se possu aiutà. <: 3

        • 20

          Aghju da piglià un ochju più prufondu questu weekend. Funziona senza prublemi nant'à uni pochi di siti - allora hè una di e 3 cose: 1. Cache, 2. cURL o 3. Versione PHP.

          Puderaghju utilizà a vechja funzionalità PHP 4 per tirà è analizà l'XML ma pò rallentà un pocu - Vogliu pruvà questu weekend. Apprezzu tutte l'input. "Houston, avemu un prublema!".

  6. 21
  7. 22
  8. 23

    Aghju ricevutu abbastanza richieste chì ci sò stati errori di scrittura o di lettura da u fugliale cache. In realtà aghju identificatu un prublema induve stava spingendu è tirendu u fugliale cache in u repertoriu radice. Aghju mudificatu a versione 2.0.4 in modu chì scrive in un sottodirectory di cache in u repertoriu di u plugin.

    Per piacè Fatemi sapè cum'ellu corre! (Bisogna sempre SimpleXML è cURL!)

Chì ne pensi?

Stu situ utilizeghja Akismet per reducisce u puzzicheghju. Sapete ciò chì i dati di i vostri dati è processatu.